package com.srs.teacher.service.impl;

import java.util.List;

import com.srs.teacher.domain.SysPerformanceActive;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysPerformanceTaskMapper;
import com.srs.teacher.domain.SysPerformanceTask;
import com.srs.teacher.service.ISysPerformanceTaskService;

/**
 * 综合测试-最大奖励Service业务层处理
 *
 * @author srs
 * @date 2024-06-20
 */
@Service
public class SysPerformanceTaskServiceImpl extends ServiceImpl<SysPerformanceTaskMapper,SysPerformanceTask> implements ISysPerformanceTaskService {
    @Autowired
    private SysPerformanceTaskMapper sysPerformanceTaskMapper;

    /**
     * 查询综合测试-最大奖励
     *
     * @param id 综合测试-最大奖励主键
     * @return 综合测试-最大奖励
     */
    @Override
    public SysPerformanceTask selectSysPerformanceTaskById(Long id) {
        return sysPerformanceTaskMapper.selectSysPerformanceTaskById(id);
    }

    @Override
    public SysPerformanceTask selectSysPerformanceTaskByFdyName(String fdName, String years) {
        return sysPerformanceTaskMapper.selectSysPerformanceTaskByFdyName(fdName, years);
    }

    /**
     * 查询综合测试-最大奖励列表
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 综合测试-最大奖励
     */
    @Override
    public List<SysPerformanceTask> selectSysPerformanceTaskList(SysPerformanceTask sysPerformanceTask) {
        return sysPerformanceTaskMapper.selectSysPerformanceTaskList(sysPerformanceTask);
    }

    /**
     * 新增综合测试-最大奖励
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 结果
     */
    @Override
    public int insertSysPerformanceTask(SysPerformanceTask sysPerformanceTask) {
            return sysPerformanceTaskMapper.insertSysPerformanceTask(sysPerformanceTask);
    }

    /**
     * 修改综合测试-最大奖励
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 结果
     */
    @Override
    public int updateSysPerformanceTask(SysPerformanceTask sysPerformanceTask) {
        return sysPerformanceTaskMapper.updateSysPerformanceTask(sysPerformanceTask);
    }

    /**
     * 批量删除综合测试-最大奖励
     *
     * @param ids 需要删除的综合测试-最大奖励主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceTaskByIds(Long[] ids) {
        return sysPerformanceTaskMapper.deleteSysPerformanceTaskByIds(ids);
    }

    /**
     * 删除综合测试-最大奖励信息
     *
     * @param id 综合测试-最大奖励主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceTaskById(Long id) {
        return sysPerformanceTaskMapper.deleteSysPerformanceTaskById(id);
    }
}
